Eclipse Remote Application Platform

## org.eclipse.swt.events
Class TreeEvent

    java.lang.Object
      SWTEventObject
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.SelectionEvent
                  org.eclipse.swt.events.TreeEvent

    public final class TreeEvent

extends SelectionEvent

Instances of this class are sent as a result of trees being expanded and collapsed.

See Also:
  `TreeListener`

Field Summary

Fields inherited from class org.eclipse.swt.events.SelectionEvent
`detail, doit, height, item, stateMask, text, width, x, y`

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Constructor Summary
`TreeEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary

Methods inherited from class org.eclipse.swt.events.SelectionEvent
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeEvent

    public TreeEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

  Parameters:
    `event` - the untyped event containing the information

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0